[arch-commits] Commit in libmms/trunk (PKGBUILD libmms-0.5-this-keyword.patch)

Jan de Groot jgc at archlinux.org
Sat Mar 6 21:13:05 UTC 2010


    Date: Saturday, March 6, 2010 @ 16:13:04
  Author: jgc
Revision: 71359

upgpkg: libmms 0.5-2
Apply fix for FS#18545

Added:
  libmms/trunk/libmms-0.5-this-keyword.patch
Modified:
  libmms/trunk/PKGBUILD

-------------------------------+
 PKGBUILD                      |   15 +++++++++------
 libmms-0.5-this-keyword.patch |   18 ++++++++++++++++++
 2 files changed, 27 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-06 20:38:19 UTC (rev 71358)
+++ PKGBUILD	2010-03-06 21:13:04 UTC (rev 71359)
@@ -3,19 +3,22 @@
 
 pkgname=libmms
 pkgver=0.5
-pkgrel=1
+pkgrel=2
 pkgdesc="MMS stream protocol library"
 arch=(i686 x86_64)
 url="https://launchpad.net/libmms"
 license=(LGPL)
-depends=('glib2>=2.22.2')
+depends=('glib2>=2.22.4')
 options=('!libtool')
-source=(http://launchpad.net/libmms/trunk/${pkgver}/+download/libmms-${pkgver}.tar.gz)
-md5sums=('cf83053ec891f14e73a04c84d9de08ee')
+source=(http://launchpad.net/libmms/trunk/${pkgver}/+download/libmms-${pkgver}.tar.gz
+        libmms-0.5-this-keyword.patch)
+md5sums=('cf83053ec891f14e73a04c84d9de08ee'
+         '5266259060f5723d8ee639b8a541f835')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/libmms-0.5-this-keyword.patch" || return 1
   ./configure --prefix=/usr --disable-static || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }

Added: libmms-0.5-this-keyword.patch
===================================================================
--- libmms-0.5-this-keyword.patch	                        (rev 0)
+++ libmms-0.5-this-keyword.patch	2010-03-06 21:13:04 UTC (rev 71359)
@@ -0,0 +1,18 @@
+diff -Nurp libmms-0.5.orig//src/mmsx.h libmms-0.5//src/mmsx.h
+--- libmms-0.5.orig//src/mmsx.h	2010-03-03 11:42:14.000000000 +0100
++++ libmms-0.5//src/mmsx.h	2010-03-03 11:42:46.000000000 +0100
+@@ -55,11 +55,11 @@ int       mmsx_peek_header (mmsx_t *inst
+ 
+ mms_off_t mmsx_get_current_pos (mmsx_t *instance);
+ 
+-uint32_t  mmsx_get_asf_header_len (mmsx_t *this);
++uint32_t  mmsx_get_asf_header_len (mmsx_t *instance);
+ 
+-uint64_t  mmsx_get_asf_packet_len (mmsx_t *this);
++uint64_t  mmsx_get_asf_packet_len (mmsx_t *instance);
+ 
+-int       mmsx_get_seekable (mmsx_t *this);
++int       mmsx_get_seekable (mmsx_t *instance);
+ 
+ #ifdef __cplusplus
+ }




More information about the arch-commits mailing list